net.corda.client.fxutils

## Class MapValuesList.Companion

- net.corda.client.fxutils.MapValuesList.Companion

- Enclosing class:
    MapValuesList<K,A,C>

      public static class MapValuesList.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,A,C> MapValuesList<K,A,C>` | `create(javafx.collections.ObservableMap<K,A> sourceMap, kotlin.jvm.functions.Function1<? super java.util.Map.Entry<? extends K,? extends A>,? extends C> assemble)` create is the factory of `class MapValuesList`.

- - ### Method Detail

    - #### create

          public <K,A,C> MapValuesList<K,A,C> create(javafx.collections.ObservableMap<K,A> sourceMap,
                                                     kotlin.jvm.functions.Function1<? super java.util.Map.Entry<? extends K,? extends A>,? extends C> assemble)

      create is the factory of `class MapValuesList`.

      Parameters:
        `sourceMap` - The source map.
        `assemble` - The function to be called for map each entry to construct the final list elements.
      See Also:
        `class MapValuesList`